import "Turbine.UI";
import "Turbine.UI.Lotro";
--import "Turbine.Utils";
import "Astleigh.Lyrical.class";

import "Astleigh.Lyrical";

mainWindow = MainWindow();

lyricalVersion = "1.3";

mainWindow:SetVisible(true);

lyricalCommand = Turbine.ShellCommand();

local function out(msg)
	Turbine.Shell.WriteLine(msg);
end

function lyricalCommand:Execute(cmd, args)
	if (args == "show") then
		mainWindow:SetVisible(true);
	elseif (args == "hide") then
		mainWindow:SetVisible(false);
	elseif (args == "toggle") then
		mainWindow:SetVisible(not mainWindow:IsVisible());
	else
		lyricalCommand:GetHelp();
	end
end

function lyricalCommand:GetHelp()
	out("Lyrical v"..lyricalVersion);
	out("  usage: /lyrical [show|hide|toggle]");
	out("  For instructions see the readme file");
end

Turbine.Shell.AddCommand("lyrical", lyricalCommand);

out("Lyrical v"..lyricalVersion.." (/lyrical for more info)");
